Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 629490 - app-emulation/libguestfs-1.36.5[-ocaml] - No rule to make target '../builder/index-parse.c'
Summary: app-emulation/libguestfs-1.36.5[-ocaml] - No rule to make target '../builder/...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Maxim Koltsov (RETIRED)
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-08-31 19:30 UTC by Andreas Proteus
Modified: 2018-11-28 17:39 UTC (History)
8 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Build log (app-emulation:libguestfs-1.36.5:20170831-174011.tar.gz,54.45 KB, application/gzip)
2017-08-31 19:31 UTC, Andreas Proteus
Details
Emerge Info (emerge.info.txt,6.58 KB, text/plain)
2017-08-31 19:32 UTC, Andreas Proteus
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Proteus 2017-08-31 19:30:03 UTC
make[4]: Entering directory '/tmp/portage/app-emulation/libguestfs-1.36.5/work/libguestfs-1.36.5/po'
make[4]: *** No rule to make target '../builder/index-parse.c', needed by 'libguestfs.pot'.  Stop.
make[4]: Leaving directory '/tmp/portage/app-emulation/libguestfs-1.36.5/work/libguestfs-1.36.5/po'
make[3]: *** [Makefile:1765: install-data-am] Error 2
make[3]: Leaving directory '/tmp/portage/app-emulation/libguestfs-1.36.5/work/libguestfs-1.36.5/po'
make[2]: *** [Makefile:1716: install-am] Error 2
make[2]: Leaving directory '/tmp/portage/app-emulation/libguestfs-1.36.5/work/libguestfs-1.36.5/po'
make[1]: *** [Makefile:1955: install-recursive] Error 1
make[1]: Leaving directory '/tmp/portage/app-emulation/libguestfs-1.36.5/work/libguestfs-1.36.5'
make: *** [Makefile:2451: install] Error 2
 * ERROR: app-emulation/libguestfs-1.36.5::gentoo failed (install phase):
 *   emake failed
Comment 1 Andreas Proteus 2017-08-31 19:31:50 UTC
Created attachment 491240 [details]
Build log
Comment 2 Andreas Proteus 2017-08-31 19:32:24 UTC
Created attachment 491242 [details]
Emerge Info
Comment 3 Uwe Sauter 2017-09-01 20:38:43 UTC
Same happened here on two different machines.
Comment 4 Jouni Kosonen 2017-09-02 10:45:31 UTC
Happened here too. Here's what I've found out so far:

Building >=libguestfs-1.35 without the ocaml bindings has problems, see
https://bugzilla.redhat.com/show_bug.cgi?id=1410102

It can be built with USE=ocaml though.

Unrelated to that, theres an escape missing in line 150 of the ebuild:
--- /usr/portage/app-emulation/libguestfs/libguestfs-1.36.5.ebuild        
@@ -149,3 +149,3 @@
                $(use_enable lua) \
-               --with-gtk=$(usex gtk 3 no)
+               --with-gtk=$(usex gtk 3 no) \
                $(usex doc '' PO4A=no)

Building with USE="-doc" results in a line like
/var/tmp/portage/app-emulation/libguestfs-1.36.5/temp/environment: line 4992: PO4A=no: command not found
in the build log.
Comment 5 Samuel Bernardo 2017-09-03 13:49:55 UTC
(In reply to Jouni Kosonen from comment #4)
> Happened here too. Here's what I've found out so far:
> 
> Building >=libguestfs-1.35 without the ocaml bindings has problems, see
> https://bugzilla.redhat.com/show_bug.cgi?id=1410102
> 
> It can be built with USE=ocaml though.
> 
> Unrelated to that, theres an escape missing in line 150 of the ebuild:
> --- /usr/portage/app-emulation/libguestfs/libguestfs-1.36.5.ebuild        
> @@ -149,3 +149,3 @@
>                 $(use_enable lua) \
> -               --with-gtk=$(usex gtk 3 no)
> +               --with-gtk=$(usex gtk 3 no) \
>                 $(usex doc '' PO4A=no)
> 
> Building with USE="-doc" results in a line like
> /var/tmp/portage/app-emulation/libguestfs-1.36.5/temp/environment: line
> 4992: PO4A=no: command not found
> in the build log.

Just try to build it with doc flag and it fails with the following error:
make[4]: Entering directory '/var/tmp/portage/app-emulation/libguestfs-1.36.5/work/libguestfs-1.36.5/po'
make[4]: *** No rule to make target '../builder/index-parse.c', needed by 'libguestfs.pot'.  Stop.

I have LINGUAS="en pt" and it seems that language pt ist not supported.
Comment 6 Samuel Bernardo 2017-09-03 14:26:02 UTC
(In reply to Samuel Bernardo from comment #5)
> (In reply to Jouni Kosonen from comment #4)
> > Happened here too. Here's what I've found out so far:
> > 
> > Building >=libguestfs-1.35 without the ocaml bindings has problems, see
> > https://bugzilla.redhat.com/show_bug.cgi?id=1410102
> > 
> > It can be built with USE=ocaml though.
> > 
> > Unrelated to that, theres an escape missing in line 150 of the ebuild:
> > --- /usr/portage/app-emulation/libguestfs/libguestfs-1.36.5.ebuild        
> > @@ -149,3 +149,3 @@
> >                 $(use_enable lua) \
> > -               --with-gtk=$(usex gtk 3 no)
> > +               --with-gtk=$(usex gtk 3 no) \
> >                 $(usex doc '' PO4A=no)
> > 
> > Building with USE="-doc" results in a line like
> > /var/tmp/portage/app-emulation/libguestfs-1.36.5/temp/environment: line
> > 4992: PO4A=no: command not found
> > in the build log.
> 
> Just try to build it with doc flag and it fails with the following error:
> make[4]: Entering directory
> '/var/tmp/portage/app-emulation/libguestfs-1.36.5/work/libguestfs-1.36.5/po'
> make[4]: *** No rule to make target '../builder/index-parse.c', needed by
> 'libguestfs.pot'.  Stop.
> 
> I have LINGUAS="en pt" and it seems that language pt ist not supported.


Adding ocaml flag it compiled just as expected. Since there is a redhat bug report for this ocaml dependency in the source, maybe the ocaml flag become required for compilation.

After all it seems to be ignoring linguas, since it installed all languages.

I also compiled with -doc and it finished install without any error.
Comment 7 Matthew Thode ( prometheanfire ) archtester Gentoo Infrastructure gentoo-dev Security 2017-12-03 21:35:21 UTC
I've forced the use / dependency of ocaml in place on libguestfs-1.36.5 as it was a build failure.  Hopefully this can get fixed at some point to be optional again.
Comment 8 Gilles Dartiguelongue gentoo-dev 2018-02-07 22:52:22 UTC
Please try with 1.36.13.

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d5fdb7d569488c4f4a33a6d1cae714d45b5a4f56
Comment 9 Pavel Valach 2018-03-09 13:16:52 UTC
1.36.13, still happens.
Happens when dev-lang/ocaml is installed, but ocaml USE flag is not enabled.

Additionally, the src_configure() fails entirely if dev-lang/ocaml is not installed, but that's actually filed as a different bug 649882.
Comment 10 Jouni Kosonen 2018-03-09 14:37:01 UTC
(In reply to Pavel Valach from comment #9)
> 1.36.13, still happens.
> Happens when dev-lang/ocaml is installed, but ocaml USE flag is not enabled.

There's a typo in the ebuild, a stray $:
                $(use_enable fuse) \
                $($use_enable ocaml) \
                $(use_enable ruby) \
Comment 11 Hector Martin 2018-11-28 17:39:23 UTC
This is still happening with libguestfs-1.36.13, please reopen.